%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/hebcal/gematriya
Version:                1.0.1

%gometa


%global common_description %{expand:
Simple Go implementation of gematriya, a system of writing numbers as Hebrew
letters.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Simple Go implementation of gematriya, a system of writing numbers as Hebrew letters

License:        BSD-2-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
